#  clusterProfiler

This package implements methods to analyze and visualize functional profiles (GO and KEGG) of gene and gene clusters.

## Authors ##

Guangchuang YU, School of Public Health, The University of Hong Kong [http://ygc.name](http://ygc.name)

## Citation ##

Please cite the following article when using `clusterProfiler`:

```
Yu G, Wang L, Han Y and He Q. 
clusterProfiler: an R package for comparing biological themes among gene clusters.
OMICS: A Journal of Integrative Biology, 2012, 16(5):284-287. 
```

URL: [http://online.liebertpub.com/doi/abs/10.1089/omi.2011.0118](http://online.liebertpub.com/doi/abs/10.1089/omi.2011.0118)

## License ##

All source code is copyright, under the Artistic-2.0 License.
For more information on Artistic-2.0 License see [http://opensource.org/licenses/Artistic-2.0](http://opensource.org/licenses/Artistic-2.0)

## Installation ##

To install:
 * the latest released version:
   `biocLite("clusterProfiler")`
 * the latest development version:
 `install_github(c("GuangchuangYu/DOSE", "GuangchuangYu/clusterProfiler"))`

## Documentation ##

+ [Why clusterProfiler fails](http://ygc.name/2014/08/07/why-clusterprofiler-fails/)
+ [KEGG enrichment analysis with latest online data using clusterProfiler](http://ygc.name/2015/02/01/kegg-enrichment-analysis-with-latest-online-data-using-clusterprofiler/)
+ [DAVID functional analysis with clusterProfiler](http://ygc.name/2015/02/10/ggtree-updating-a-tree-view/)
+ [Enrichment map](http://ygc.name/2014/08/03/enrichment-map/)
+ [a formula interface for GeneOntology analysis](http://bioinfoblog.it/2015/02/a-formula-interface-for-geneontology-analysis/)

To view the vignette of `clusterProfiler` installed in your system, start `R` and enter:
```r
vignette("clusterProfiler", package="clusterProfiler")
```


## Bugs/Feature requests ##

 - If you have any, [let me know](https://github.com/GuangchuangYu/clusterProfiler/issues). Thx!

